Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

How to upgrade my Old PV from 3.00 to 3.04 butnot newest3.08

Discussion in 'Phantom 2 Vision Discussion' started by NRL777, Oct 30, 2014.

  1. NRL777

    Joined:
    Apr 29, 2014
    Messages:
    36
    Likes Received:
    0
    I've been playing with my PV+ for the last few months and forgot I had a good old original PV with a rotorpixel gimble.
    Even though I like the PV+, I had to send two back, both had the 1080P-Record-Jam-the-gps-signal-3-0-from-7-syndrome.

    So, trying to go back to the joys of the PV with the rotorpixel:
    When I run the Assistant 3.0 software, it only allows for it to be upgraded to the new 3.08 and not anything else in between..3.00 and 3.04, 06..

    I don't want to take this PV to 3.08.. or is it ok to do so?
    I'm scared even updating my PV+ to 3.08.

    Anyone help?

    I have both 3.0 and 3.2 Assistant software.. even tried the one from The Droneslinger site but they all say 3.08 updates..
     
  2. NRL777

    Joined:
    Apr 29, 2014
    Messages:
    36
    Likes Received:
    0
    Re: How to upgrade my Old PV from 3.00 to 3.04 butnot newest

    Thanks,
    Did you update everything to 3.08 including the battery update?